package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectorConvert;
import com.docus.server.dto.scheduling.management.SchCollectorDTO;
import com.docus.server.entity.scheduling.management.SchCollector;
import com.docus.server.infrastructure.dao.ISchCollectorDao;
import com.docus.server.service.ISchCollectorService;
import com.docus.server.vo.scheduling.management.SchCollectorVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器管理 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchCollectorServiceImpl implements ISchCollectorService {
    @Resource
    private ISchCollectorDao iSchCollectorDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorVO findById(String id) {
        return SchCollectorConvert.INSTANCE.convertVO(iSchCollectorDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorVO> search(SearchRequest searchRequest) {
        return SchCollectorConvert.INSTANCE.convertVO(iSchCollectorDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectorDTO schCollectorDTO) {
        SchCollector schCollector = SchCollectorConvert.INSTANCE.convertDO(schCollectorDTO);
        return iSchCollectorDao.add(schCollector);
    }

    /**
     * 编辑
     *
     * @param schCollectorDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectorDTO schCollectorDTO) {
        SchCollector schCollector = SchCollectorConvert.INSTANCE.convertDO(schCollectorDTO);
        return iSchCollectorDao.edit(schCollector);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectorDao.delete(ids);
    }
}

